Subject: bug#55727: 29.0.50; Incorrect zero symbol transcoding between applications

From: Петров Андрей <[email-masked]>
Date: Mon, 30 May 2022 16:23:46 +0000

Hi, Eli!

Looks like I have to use hex, base64 or other ASCII encodings.
It seems that I will use something like this:

(defun my-escape-char (c)
  (insert (if (< c ?\s) (format "\\%03o" c) c)))

(print "000\000000" 'my-escape-char)

Best regards,
Andrey Petrov.
________________________________________
От: Eli Zaretskii <[email-masked]>
Отправлено: 30 мая 2022 г. 20:42:49
Кому: Петров Андрей
Копия: [email-masked]; [email-masked]
Тема: Re: bug#55727: 29.0.50; Incorrect zero symbol transcoding between applications

> Cc: "[email-masked]" <[email-masked]>
> From: Петров Андрей <[email-masked]>
> Date: Mon, 30 May 2022 14:27:43 +0000
>
> OK, You can close the bug then.

Done.

> Just tell me if Emacs have ready to use solution for passing binary
> strings between applications in a form what can be correctly restored
>  with `read' function. I found that output of `print' also can not be
> transferred through application boundary.

Did you consider encoding it in base64?